Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1600 (closed defect: fixed)

Opened 12 years ago

Last modified 12 years ago

Oops (NULL-pointer dereference) on linux-2.6.23-git15 and madwifi-r2781

Reported by: anonymous Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: other Version: trunk
Keywords: Oops linux-2.6.23-git Cc:
Patch is attached: 0 Pending:

Description

on linux-2.6.23-git15,17 and 18 (but not on linux-2.6.23-git13) I get modprobe -r ath_pci ath_rate_sample ath_hal wlan_ccmp wlan_scan_sta wlan

Unable to handle kernel NULL pointer dereference at 00000000000000a8 RIP: 
 [<ffffffff880a4696>] :wlan:ieee80211_virtfs_vdetach+0xa6/0x110
PGD 450b067 PUD b0d2067 PMD 0 
Oops: 0000 [1] SMP 
CPU 1 
Modules linked in: wlan_scan_sta ath_rate_sample i2c_i801 ath_pci wlan ath_hal(P) sky2 snd_hda_intel snd_pcm snd_page_alloc
Pid: 4783, comm: modprobe Tainted: P        2.6.23-git17 #2
RIP: 0010:[<ffffffff880a4696>]  [<ffffffff880a4696>] :wlan:ieee80211_virtfs_vdetach+0xa6/0x110
RSP: 0000:ffff810003dc1d18  EFLAGS: 00010246
RAX: 0000000000000016 RBX: 0000000000000000 RCX: ffff81000107c518
RDX: 0000000000000015 RSI: 0000000000000100 RDI: 0000000000000000
RBP: ffff8100044146c0 R08: ffff81000202bd30 R09: 000000000000120f
R10: ffff81000202a950 R11: ffffffff8029f6a0 R12: ffff810003f9c6c8
R13: ffff810004414000 R14: ffff810003f9c6c0 R15: ffff810004230000
FS:  00002ab11b284b00(0000) GS:ffff810002076e40(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000000000000a8 CR3: 000000000b0e7000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process modprobe (pid: 4783, threadinfo ffff810003dc0000, task ffff8100039847c0)
Stack:  ffff810003f9c6c8 ffff8100044146c0 ffff810003f9c6c0 ffffffff88087a9e
 ffff8100044146c0 ffff810003f9c6c0 ffff8100044146c0 0000000000000286
 0000000000000000 ffffffff880cbe29 ffff810004230000 ffff810003f9c6c0
Call Trace:
 [<ffffffff88087a9e>] :wlan:ieee80211_vap_detach+0x9e/0x160
 [<ffffffff880cbe29>] :ath_pci:ath_vap_delete+0x169/0x4b0
 [<ffffffff88088038>] :wlan:ieee80211_ifdetach+0x18/0x70
 [<ffffffff880cb470>] :ath_pci:ath_detach+0x90/0x1a0
 [<ffffffff8050cbcb>] wait_for_common+0x2b/0x160
 [<ffffffff880d32cb>] :ath_pci:ath_pci_remove+0x2b/0xb0
 [<ffffffff80393a4c>] pci_device_remove+0x2c/0x60
 [<ffffffff803f91c2>] __device_release_driver+0x82/0xc0
 [<ffffffff803f9805>] driver_detach+0xf5/0x100
 [<ffffffff803f8c2d>] bus_remove_driver+0x8d/0xb0
 [<ffffffff80393ab8>] pci_unregister_driver+0x18/0x90
 [<ffffffff880d3795>] :ath_pci:exit_ath_pci+0x15/0x2e
 [<ffffffff8025e19d>] sys_delete_module+0x14d/0x1e0
 [<ffffffff80384e82>] __up_write+0x22/0x130
 [<ffffffff8020bc5e>] system_call+0x7e/0x83


Code: 48 8b 87 a8 00 00 00 48 85 c0 74 21 48 89 c7 e8 06 1f 1e f8 
RIP  [<ffffffff880a4696>] :wlan:ieee80211_virtfs_vdetach+0xa6/0x110
 RSP <ffff810003dc1d18>
CR2: 00000000000000a8

on modprobe ath_pci previously I got

sysctl table check failed: /dev/ath .7.9 Unknown sysctl binary path
sysctl table check failed: /dev/ath/hal .7.9.-2 Unknown sysctl binary path
sysctl table check failed: /dev/ath/hal/dma_beacon_response_time .7.9.-2.-2 Unknown sysctl binary path
sysctl table check failed: /dev/ath/hal/sw_beacon_response_time .7.9.-2.-2 Unknown sysctl binary path
sysctl table check failed: /dev/ath/hal/swba_backoff .7.9.-2.-2 Unknown sysctl binary path

there were several such lines before the Oops. See attachment for more details

Attachments

dmesg-madwifi.txt (28.0 kB) - added by jkarlson on 10/23/07 15:34:43.
dmesg on 2.6.23-git18 after failed modprobe -r

Change History

10/23/07 15:34:43 changed by jkarlson

  • attachment dmesg-madwifi.txt added.

dmesg on 2.6.23-git18 after failed modprobe -r

10/24/07 13:12:39 changed by jkarlson

Bug still present with 2.6.24-rc1 - hopefully this was the 2.6.24 merge window.

10/31/07 18:03:39 changed by jkarlson

Seems to be completely fixed in 2.6.24-rc1-git7 and madwifi r2815.

11/01/07 06:51:18 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to version 0.9.4.

Thanks for the feedback, I close the ticket as "fixed".

01/09/08 21:12:37 changed by msdark

same problem with kernel 2.6.24-3-generic (hardy development kernel) and madwifi 0.9.33 on Ubuntu Gutsy.

02/01/08 13:01:59 changed by aliem

linux kernel 2.6.24 with gentoo patchset same issue with madwifi-ng 0.9.3.3

is there any temporary patch for 0.9.3.3 or sould we just use last svn?

02/11/08 06:23:01 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.